# Tutorial para usar Git con Cadlab

Abrir el Git Bash, luego ubicarse en el directorio donde se va a trabajar localmente:

```sh
cd /ruta/al/directorio
```

Dado que el repositorio ya está creado, se clona localmente la rama de la siguiente manera:

```sh
git clone --branch nombre_de_la_rama https://user@git.cadlab.io/Zignar/Ayni.git
```

Luego, ubicarse en la carpeta del repositorio clonado, en este caso Ayni

```sh
cd Ayni
```
Para verificar que te encuentras en la rama correcta, se puede hacer uso del comando git status.

```sh
git status
```
> On branch radiofrecuency
> Your branch is up to date with 'origin/nombre_de_la_rama'.
> nothing to commit, working tree clean

Luego de que se haya realizado los cambios en los archivos, al ejecutar el mismo comando (git status) se deben visualizar los archivos modificados. Por ejemplo:
`modified:   Allpa/allpa.brd`

Para añadir los cambios al repositorio remoto (Cadlab), ejecutar el siguiente comando considerando el ejemplo anterior del archivo allpa.brd:
```sh
git add Allpa/allpa.brd
```

Nuevamente con el comando git status el archivo debe salir de la siguiente manera:
> Changes to be committed:
>  (use "git restore --staged <file>..." to unstage)
>       modified:   Allpa/allpa.brd

Luego hacemos uso de commit:
```sh
git commit -m "Añade un comentario relacionado al cambio"
```

Finalmente cargamos los cambios en la rama del repositorio
```sh
git push origin nomre_de_la_rama
```